summaryrefslogtreecommitdiffstats
path: root/source/l/python-requests/python-requests.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'source/l/python-requests/python-requests.SlackBuild')
-rwxr-xr-xsource/l/python-requests/python-requests.SlackBuild5
1 files changed, 4 insertions, 1 deletions
diff --git a/source/l/python-requests/python-requests.SlackBuild b/source/l/python-requests/python-requests.SlackBuild
index 27b8365a2..b80fc33d8 100755
--- a/source/l/python-requests/python-requests.SlackBuild
+++ b/source/l/python-requests/python-requests.SlackBuild
@@ -25,7 +25,7 @@ cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=python-requests
VERSION=${VERSION:-$(echo requests-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+BUILD=${BUILD:-3}
SRCNAM=requests
@@ -54,6 +54,9 @@ cd $TMP
rm -rf $SRCNAM-$VERSION
tar xvf $CWD/$SRCNAM-$VERSION.tar.?z || exit 1
cd $SRCNAM-$VERSION || exit 1
+
+zcat $CWD/requests.urllib3.version.diff.gz | patch -p1 --verbose || exit 1
+
chown -R root:root .
find -L . \
\( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \